Bug 453802 - dbus often crashes on connection loss
dbus often crashes on connection loss
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-07-02 11:40 EDT by Andrea Santilli
Modified: 2013-03-05 22:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:12:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb trace on dbus-daemon (3.56 KB, text/plain)
2008-10-19 11:39 EDT, Andrea Santilli
no flags Details

  None (edit)
Description Andrea Santilli 2008-07-02 11:40:44 EDT
Description of problem:
when i lose the connection to the internet (pppoe) i get dbus to crash. a lot of
applications (and X too) wont work anymore until i restart the messagebus
service. of course haldaemon crashes too.
this is what i got in dmesg in the last 2 times i got this problem:

dbus-daemon[1839]: segfault at b97d59c8 ip 0021e11a sp bff6cc6c error 4 in
libc-2.8.so [1a9000+1630000]

and again:

dbus-daemon[1823]: segfault at b85aadb8 ip 0021e11a sp bf81c51c error 4 in
libc-2.8.so [1a9000+1630000]

Version-Release number of selected component (if applicable):

How reproducible:
not always, sometimes it crashes after some minute from the connection loss.

Steps to Reproduce:
1. run a pppoe connection
2. drop it without closing it, for example by just turning the modem off.
3. dbus-daemon segfaults
Comment 1 Colin Walters 2008-08-06 09:23:45 EDT
Can you attach with gdb and get a stack trace?

Comment 2 Andrea Santilli 2008-10-19 11:39:30 EDT
Created attachment 320803 [details]
gdb trace on dbus-daemon

Sorry for the delay, I forgot about this bug report.
Anyway it still happens on version 1.2.4-1.fc9.
Comment 3 Bug Zapper 2009-06-09 21:53:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 11:12:13 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.